%define anolis_release 5
Name:       m17n-db
Summary:    Multilingualization datafiles for m17n-lib
Version:    1.8.0
Release:    %{anolis_release}%{?dist}
License:    LGPLv2+
URL:        http://www.nongnu.org/m17n

Source0:    http://download-mirror.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
## Till the Inscript2 gets upstreamed in m17n-db, use this source
Source1:    http://releases.pagure.org/inscript2/inscript2-20160423.tar.gz
# Following is awaiting for upstream commit
Source2:    https://raw.githubusercontent.com/gnuman/m17n-inglish-mims/master/minglish/minglish.mim

BuildArch:  noarch
BuildRequires: gettext
BuildRequires: glibc-locale-source
BuildRequires: gcc

Requires:   gawk

Obsoletes:  m17n-contrib < 1.1.14-4.fc20
Provides:   m17n-contrib = 1.1.14-4.fc20

# Fedora speicifc patches
Patch0:     %{name}-1.6.5-bn-itrans-bug182227.patch
Patch1:     %{name}-1.6.5-kn-itrans_key-summary_bug228806.patch
Patch2:     %{name}-1.6.5-kn-inscript-ZWNJ-bug440007.patch
Patch3:     %{name}-1.6.5-number_pad_itrans-222634.patch
Patch4:     %{name}-1.7.0-fix-e-o-mappings.patch
Patch6:     %{name}-1.8.0-ml-mozhi-savannah-bug-59681.patch

%description
This package contains multilingualization (m17n) datafiles for m17n-lib
which describe input maps, encoding maps, OpenType font data and
font layout text rendering for languages.

%package extras
Summary:  Extra m17n-db files
Requires: %{name} = %{version}-%{release}

Obsoletes:  m17n-contrib-extras < 1.1.14-4.fc20
Provides:   m17n-contrib-extras = 1.1.14-4.fc20

%description extras
m17n-db extra files for input maps that are less used.

%package devel
Summary:  Development files for m17n-db
Requires: %{name} = %{version}-%{release}

%description devel
m17n-db development files

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p0

##extract inscript2 maps
tar xzf %{SOURCE1}

sed -i 's/ ("ld" "སྡ")/ ("ld" "ལྡ")/g' MIM/bo-ewts.mim

%build
%configure
%make_build

%install
%make_install

# don't ship unijoy map for now
rm %{buildroot}%{_datadir}/m17n/bn-unijoy.mim
rm %{buildroot}%{_datadir}/m17n/icons/bn-unijoy.png

#removing ispell.mim for rh#587927
rm %{buildroot}%{_datadir}/m17n/ispell.mim

#install inscript2 keymaps
cp -p inscript2/IM/* %{buildroot}%{_datadir}/m17n/
cp -p inscript2/icons/* %{buildroot}%{_datadir}/m17n/icons

# install minglish keymap
cp -p %{SOURCE2} %{buildroot}%{_datadir}/m17n

# For installing the translation files
%find_lang %name

%files 
%license COPYING
%dir %{_datadir}/m17n
%{_datadir}/m17n/mdb.dir
%{_datadir}/m17n/*.tbl
%{_datadir}/m17n/scripts
%{_datadir}/m17n/*.flt
# keymaps
%{_datadir}/m17n/a*.mim
%{_datadir}/m17n/b*.mim
%{_datadir}/m17n/c*.mim
%{_datadir}/m17n/d*.mim
%{_datadir}/m17n/e*.mim
%{_datadir}/m17n/f*.mim
%{_datadir}/m17n/g*.mim
%{_datadir}/m17n/h*.mim
%{_datadir}/m17n/i*.mim
%{_datadir}/m17n/k*.mim
%{_datadir}/m17n/l*.mim
%{_datadir}/m17n/m*.mim
%{_datadir}/m17n/n*.mim
%{_datadir}/m17n/o*.mim
%{_datadir}/m17n/p*.mim
%{_datadir}/m17n/r*.mim
%{_datadir}/m17n/s*.mim
%{_datadir}/m17n/t*.mim
%{_datadir}/m17n/u*.mim
%{_datadir}/m17n/v*.mim
%{_datadir}/m17n/y*.mim
# icons for keymaps
%{_datadir}/m17n/icons/*.png
%exclude %{_datadir}/m17n/zh-*.mim
%exclude %{_datadir}/m17n/icons/zh*.png
%exclude %{_datadir}/m17n/ja-*.mim
%exclude %{_datadir}/m17n/icons/ja*.png

%files extras -f %{name}.lang
%{_datadir}/m17n/zh-*.mim
%{_datadir}/m17n/icons/zh*.png
%{_datadir}/m17n/ja*.mim
%{_datadir}/m17n/icons/ja*.png
%{_datadir}/m17n/*.fst
%{_datadir}/m17n/*.map
%{_datadir}/m17n/*.tab
%{_datadir}/m17n/*.lnm
%{_datadir}/m17n/LOCALE.*

%files devel
%{_bindir}/m17n-db
%{_datadir}/pkgconfig/m17n-db.pc

%files doc
%doc AUTHORS README

%changelog
* Mon Mar 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.8.0-5
- Del Specific Fields

* Fri Jan 6 2023 Funda Wang <fundawang@yeah.net> - 1.8.0-4
- Import package into anolis 23
